
#include <SPI.h>      //SPI library for communication with the nRF24L01+
#include "RF24.h"  //The main library of the nRF24L01+
#include <Servo.h> // servo library
#include <RF24Network.h>


RF24 radio (7,8); // CE,CSN
RF24Network network(radio);      // Include the radio in the network
const uint16_t node03 = 03;   // Address of our node in Octal format ( 04,031, etc)
const uint16_t base00 = 00;    // Address of the other node in Octal format

Servo myServoo;

//Define packet for the direction (X axis and Y axis)
int data[2];


boolean t6= false;




void setup() {
Serial.begin(9600);
SPI.begin();
myServoo.attach(4);
radio.begin();                    //Start the nRF24 communicate            
network.begin(90,node03);   
radio.setDataRate(RF24_2MBPS);

}

void loop() {
   network.update();
  //===== Receiving =====//
  while ( network.available() ) {     // Is there any incoming data?
     RF24NetworkHeader header; // Read the incoming data
     network.read(header, &data, sizeof(data)); 
  

if(data[1] < -900){
  t6=!t6;
  delay(1000);
}

if(t6==true) {
myServoo.write(75);
}else {
 myServoo.write(0);
  }


   


}

}


